> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Geography by ID

> Returns the details of a geography specified by its unique `geographyId`.



## OpenAPI

````yaml locations.openapi get /location-geographies/{geographyId}
openapi: 3.0.1
info:
  contact:
    email: support@fabric.inc
    name: fabric Orders team
  description: >-
    fabric **Locations** API provides location endpoints that support
    multi-tenant services. This location data is used for both inventory
    management and order management. When an order is created, it's allocated to
    the nearest location according to the Order Fulfillment Logic.
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
  title: Inventory - Locations API
  version: 3.0.0
  x-audience: external-public
servers:
  - description: Production
    url: https://api.fabric.inc/v3
security:
  - authorization: []
tags:
  - description: These Endpoints help in performing Outage operations
    name: Location Outage Endpoints
  - description: These endpoints let you create and manage locations.
    name: Locations
  - description: These Endpoints help in performing capacity operations
    name: Location Capacity Endpoints
  - name: Location Geography Endpoints
    description: These Endpoints help in performing Geography operations
  - name: Location Zone Endpoints
    description: These Endpoints help in performing Zone operations
paths:
  /location-geographies/{geographyId}:
    get:
      tags:
        - Location Geography Endpoints
      summary: Get Geography by ID
      description: >-
        Returns the details of a geography specified by its unique
        `geographyId`.
      operationId: getGeographyById
      parameters:
        - name: geographyId
          in: path
          description: System-generated unique ID to identify the geography
          required: true
          schema:
            type: string
          example: 9372919a8219e8
        - $ref: '#/components/parameters/xFabricTenantId'
        - $ref: '#/components/parameters/xFabricRequestId'
        - $ref: '#/components/parameters/xFabricChannelIdOptional'
      responses:
        '200':
          description: Geography
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/geographyResponse'
        '400':
          description: Bad request
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
              example:
                type: CLIENT_ERROR
                errorCode: SERVICE-4003
                message: 'Mandatory param(s): `requiredField1` is/are missing'
                errors:
                  - type: CLIENT_ERROR
                    errorCode: SERVICE-4002
                    message: Invalid value(s) specified for 'requiredField.field3'
                    errors: []
                context:
                  service: orders
                  endpoint: POST /v3/orders
        '401':
          description: Unauthorized
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
              example:
                type: CLIENT_ERROR
                errorCode: SERVICE-4001
                message: Unauthorized request
                errors: []
                context:
                  service: orders
                  endpoint: POST /v3/orders/OrderId_12345
        '404':
          description: Geography not found
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
              example:
                message: 'Geography with geographyId: 9372919a8219e8 not found'
        '500':
          description: Internal server error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
              example:
                type: SERVER_ERROR
                errorCode: SERVICE-5000
                message: Internal server error
                errors: []
                context:
                  service: inventories
                  endpoint: POST /v3/inventories/actions/find-by-geography
components:
  parameters:
    xFabricTenantId:
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
      example: 5f328bf0b5f328bf0b5f328b
      in: header
      name: x-fabric-tenant-id
      required: true
      schema:
        type: string
    xFabricRequestId:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      in: header
      name: x-fabric-request-id
      required: false
      schema:
        type: string
    xFabricChannelIdOptional:
      description: >-
        x-fabric-channel-id identifies the sales channel through which the API
        request is being made; primarily for multichannel use cases. It is an
        optional field. The default US channel is 12 while the default Canada
        channel is 13.
      example: '12'
      in: header
      name: x-fabric-channel-id
      required: false
      schema:
        type: string
  headers:
    xFabricRequestIdResponseHeader:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
      schema:
        type: string
  schemas:
    geographyResponse:
      type: object
      description: >-
        Response object representing a defined geography entity used for zone
        assignment, network linking, or rule application.
      properties:
        geographyId:
          type: string
          description: System-generated unique identifier for the geography.
          example: 9372919a8219e8
        version:
          type: integer
          format: int64
          description: >-
            Version number indicating how many times this geography record has
            been updated.
          example: 2
        geographyName:
          type: string
          description: Human-readable name used to identify the geography.
          example: US_Geo_PostalCode
        description:
          type: string
          description: A detailed description of the purpose or scope of the geography.
          example: Specific geography for US Zones
        type:
          type: string
          description: >-
            The classification type of the geography, such as PostalCode, State,
            or Country.
          example: PostalCode
        values:
          type: array
          description: >-
            A list of geographic values covered by this geography. For example,
            a list of postal codes or region codes.
          items:
            type: string
        associatedZone:
          type: string
          description: The name of the shipping zone associated with this geography.
          example: US_Zone
        linkedNetworks:
          type: array
          description: >-
            A list of fulfillment or carrier networks that are linked to this
            geography.
          items:
            type: string
        createdAt:
          type: string
          format: date-time
          description: >-
            Timestamp indicating when the geography record was created, in ISO
            8601 UTC format.
          example: '2022-07-11T15:03:14.642Z'
        updatedAt:
          type: string
          format: date-time
          description: >-
            Timestamp indicating when the geography record was last updated, in
            ISO 8601 UTC format.
          example: '2022-07-11T15:03:14.642Z'
        resourceId:
          type: string
          description: >-
            Identifier for the primary resource linked to the geography, if
            applicable.
        subResourceId:
          type: string
          description: >-
            Identifier for the secondary or child resource linked to the
            geography, if applicable.
      required:
        - geographyName
        - type
        - version
    errorResponse:
      type: object
      description: Error response
      properties:
        type:
          type: string
          description: Error type
          example: CLIENT_ERROR
        errorCode:
          type: string
          description: Error code
          example: OMS-10001
        message:
          type: string
          description: Error message
          example: Bad request
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errorResponse'
        context:
          type: string
          description: Error message
          example: Bad request
  securitySchemes:
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````